## p4vasp 0.3.29%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,downloadurlmangle=s/summary/finish/,filenamemangle=s/.*p4vasp-(\d)-(\d)-(\d+)/p4vasp-$1.$2.$3.tgz/ \
http://p4vasp.at/index.php/downloads/viewcategory/2-source-code/ \
/index.php/downloads/summary/2-source-code/.*p4vasp-(\d)-(\d)-(\d+)

## p4vasp 0.3.29+dfsg

=== Makefile ===
######################################################################
# INSTALATION DIRECTORIES:                                           #
######################################################################
# ROOT          - root directory (need not be set, just for testing) #
# P4VASP_HOME   - home directory of p4vasp distribution              #
# PYTHON_PATH   - where th python-home is (usually /usr/lib/python)  #
# SITE_PACKAGES - where python modules will go                       #
#                 (usually /usr/lib/python/site-packages)            #
# INCLUDEDIR    - where the headder-files will go                    #
#                 (usually /usr/include)                             #
# LIBDIR        - where the development libraries will go            #
#                 (usually /usr/lib)                                 #
# BINDIR        - where the executable will go (e.g. /usr/bin)       #
######################################################################

-include install/Configuration.mk

P4VCONFIG     = lib/p4vasp/config.py
VINFO         = vinfo.py
SETENVIRONMENT= setenvironment.sh
P4V           = p4v

.PHONY: p4vasp
.PHONY: doc
.PHONY: clean_p4vasp
.PHONY: clean_odpdom
.PHONY: cleanall_doc
.PHONY: cleanall_p4vasp
.PHONY: cleanall_odpdom
.PHONY: install_pythonpkg
.PHONY: install_gui
.PHONY: install_devel
.PHONY: install
.PHONY: uninstall_pythonpkg
.PHONY: uninstall_gui
.PHONY: uninstall_devel
.PHONY: uninstall
.PHONY: uninstallsh
.PHONY: p4vasp_config
.PHONY: setenvironment
.PHONY: launcher
.PHONY: appletlist

all: p4vasp
local:
	cd install && python configure.py local
config:
	cd install && python configure.py
p4vasp: p4vasp_config uninstallsh fltk appletlist
	cd odpdom && $(MAKE) libODP.a	
	cd src && $(MAKE)
p4vasp_config:
	echo "p4vasp_home='$(P4VASP_HOME)'" >$(P4VCONFIG)
	cat $(VINFO) >> $(P4VCONFIG)
devver:
	echo "name       ='p4vasp-devel'" > $(VINFO)
	echo "version    ='DEVELOPMENT'" >> $(VINFO)
	echo "release    ='1'" >> $(VINFO)
	echo "build_date ='`date`'" >> $(VINFO)
setenvironment:
	echo "# set p4vasp environment variables"   >  $(SETENVIRONMENT)
	echo "export PATH=\$$PATH:"$(BINDIR) >> $(SETENVIRONMENT)
launcher:
	echo "#!`which sh`" >$(P4V)
	echo "export LD_PRELOAD=libstdc++.so.6" >>$(P4V)
	echo "export PYTHONPATH=\$$PYTHONPATH:"$(SITE_PACKAGES) >>$(P4V)
	echo "export APPMENU_DISPLAY_BOTH=1" >>$(P4V)
	echo "export P4VASP_HOME="$(P4VASP_HOME) >> $(P4V)
	echo "exec python "$(BINDIR)"/p4v.py \$$1 \$$2 \$$3" >>$(P4V)
appletlist:
	cd install && python makeappletlist.py
bashrc:setenvironment
	echo "" >> ~/.bashrc
	cat $(SETENVIRONMENT) >> ~/.bashrc
fltk:
	cd ext && sh build-fltk.sh
doc:
	cd doc && $(MAKE)
clean_p4vasp:
	rm -f data/glade/*.bak
	rm -f data/glade2/*.bak
	rm -f data/glade2/*.gladep
	cd src && $(MAKE) clean
clean_odpdom:
	cd odpdom && $(MAKE) clean
cleanall_doc:
	cd doc && $(MAKE) cleanall
cleanall_p4vasp:
	rm -f lib/p4vasp/config.py
	rm -f lib/p4vasp/*.pyc
	rm -f lib/p4vasp/*.pyo
	rm -f lib/p4vasp/*.bak
	rm -f lib/p4vasp/*~
	rm -f lib/p4vasp/paint3d/*.pyc
	rm -f lib/p4vasp/paint3d/*.pyo
	rm -f lib/p4vasp/paint3d/*.bak
	rm -f lib/p4vasp/paint3d/*~
	rm -f lib/p4vasp/export/*.pyc
	rm -f lib/p4vasp/export/*.pyo
	rm -f lib/p4vasp/export/*.bak
	rm -f lib/p4vasp/export/*~
	rm -f lib/p4vasp/applet/*.pyc
	rm -f lib/p4vasp/applet/*.pyo
	rm -f lib/p4vasp/applet/*.bak
	rm -f lib/p4vasp/applet/*~
	rm -f lib/p4vasp/applet/appletlist.py
	rm -f lib/p4vasp/piddle/*.pyc
	rm -f lib/p4vasp/piddle/*.pyo
	rm -f lib/p4vasp/piddle/*.bak
	rm -f lib/p4vasp/piddle/*~
	rm -f lib/p4vasp/piddle/piddleGTKp4/*.pyc
	rm -f lib/p4vasp/piddle/piddleGTKp4/*.pyo
	rm -f lib/p4vasp/piddle/piddleGTKp4/*.bak
	rm -f lib/p4vasp/piddle/piddleGTKp4/*~
	rm -f lib/p4vasp/piddle/piddleGTK2p4/*.pyc
	rm -f lib/p4vasp/piddle/piddleGTK2p4/*.pyo
	rm -f lib/p4vasp/piddle/piddleGTK2p4/*.bak
	rm -f lib/p4vasp/piddle/piddleGTK2p4/*~
	rm -f test/*.pyc
	rm -f test/*.pyo
	rm -f test/*.bak
	rm -f test/*~
	rm -f utils/*.pyc
	rm -f utils/*.pyo
	rm -f utils/*.bak
	rm -f utils/*~
	rm -f install/*.pyc
	rm -f install/*.pyo
	rm -f install/*.bak
	rm -f install/*~
	rm -f log
	rm -f p4vasp.log
	rm -f p4v
	rm -f install/Configuration.mk
	rm -f *~
	rm -f *.pyc
	rm -f *.pyo
	rm -f *.bak
	cd src && $(MAKE) cleanall
cleanall_odpdom:
	cd odpdom && $(MAKE) cleanall
cleanall_ext:
	cd ext && sh clean.sh
        
clean: clean_p4vasp clean_odpdom
cleanall: cleanall_p4vasp cleanall_odpdom cleanall_doc cleanall_ext
	
install_pythonpkg:p4vasp
	mkdir -p $(SITE_PACKAGES)/p4vasp
	cd lib; cp -R p4vasp $(SITE_PACKAGES); cd ..
	chmod -R 755 $(SITE_PACKAGES)/p4vasp
	chmod    644 $(SITE_PACKAGES)/p4vasp/*
	chmod -R 755 $(SITE_PACKAGES)/p4vasp/applet
	chmod -R 644 $(SITE_PACKAGES)/p4vasp/applet/*
	chmod -R 755 $(SITE_PACKAGES)/p4vasp/paint3d
	chmod -R 644 $(SITE_PACKAGES)/p4vasp/paint3d/*
	chmod -R 755 $(SITE_PACKAGES)/p4vasp/export
	chmod -R 644 $(SITE_PACKAGES)/p4vasp/export/*
	chmod -R 755 $(SITE_PACKAGES)/p4vasp/piddle	
	cd src; install -m755  cp4vasp.py _cp4vasp.so $(SITE_PACKAGES); cd ..
	
install_gui:install_pythonpkg uninstallsh launcher
	mkdir -p     $(P4VASP_HOME)
	cp -R data   $(P4VASP_HOME)
	cp -R utils  $(P4VASP_HOME)
	chmod -R 755 $(P4VASP_HOME)/data
	chmod    644 $(P4VASP_HOME)/data/*
	chmod    755 $(P4VASP_HOME)/data/glade 
	chmod    644 $(P4VASP_HOME)/data/glade/*
	chmod    755 $(P4VASP_HOME)/data/glade/pixmaps
	chmod    644 $(P4VASP_HOME)/data/glade/pixmaps/*
	chmod    755 $(P4VASP_HOME)/data/glade2 
	chmod    644 $(P4VASP_HOME)/data/glade2/*
	chmod    755 $(P4VASP_HOME)/data/glade2/pixmaps
	chmod    644 $(P4VASP_HOME)/data/glade2/pixmaps/*
	chmod    755 $(P4VASP_HOME)/data/graphs
	chmod    644 $(P4VASP_HOME)/data/graphs/*
	chmod    755 $(P4VASP_HOME)/data/images
	chmod    644 $(P4VASP_HOME)/data/images/*
	chmod    755 $(P4VASP_HOME)/data/database
	chmod    644 $(P4VASP_HOME)/data/database/*
	chmod -R 755 $(P4VASP_HOME)/utils

	install -m755 uninstall.sh $(P4VASP_HOME)/uninstall.sh
	install -m755 diagnostic.py $(P4VASP_HOME)/diagnostic.py
	
	install -m644 BUGS FAQS LICENSE README $(P4VASP_HOME)
	mkdir -p $(BINDIR)
	install -d -m755     $(BINDIR)
	install -m755 p4v.py $(BINDIR)/p4v.py
	install -m755 $(P4V) $(BINDIR)/$(P4V)

install_doc:
	mkdir -p       $(P4VASP_HOME)	
	cp -R doc      $(P4VASP_HOME)
	chmod -R 755   $(P4VASP_HOME)/doc
	chmod    644   $(P4VASP_HOME)/doc/*
	chmod -R 755   $(P4VASP_HOME)/doc/api
	chmod    644   $(P4VASP_HOME)/doc/api/*
	chmod -R 755   $(P4VASP_HOME)/doc/api/c
	chmod -R 755   $(P4VASP_HOME)/doc/api/python
	chmod -R 755   $(P4VASP_HOME)/doc/intro
	chmod    644   $(P4VASP_HOME)/doc/intro/*
		
install_devel:install_pythonpkg
	mkdir -p $(LIBDIR)
	mkdir -p $(INCLUDEDIR)/ODP
	mkdir -p $(INCLUDEDIR)/p4vasp
	cp -R odpdom/include/ODP $(INCLUDEDIR)	
	cp -R src/include/p4vasp $(INCLUDEDIR)
	chmod 755 $(INCLUDEDIR)/ODP
	chmod 755 $(INCLUDEDIR)/p4vasp
	chmod 644 $(INCLUDEDIR)/ODP/*
	chmod 644 $(INCLUDEDIR)/p4vasp/*
	cp src/libp4vasp.a $(LIBDIR)
	chmod 644 $(LIBDIR)/libp4vasp.a	
	cp odpdom/libODP.a $(LIBDIR)
	chmod 644 $(LIBDIR)/libODP.a	
install:install_gui install_devel

uninstallsh:
	echo "#!/bin/sh" >uninstall.sh
	echo "rm -Rf $(SITE_PACKAGES)/p4vasp" >>uninstall.sh
	echo "rm -Rf $(SITE_PACKAGES)/cp4vasp.py" >>uninstall.sh
	echo "rm -Rf $(SITE_PACKAGES)/_cp4vasp.so" >>uninstall.sh
	echo "rm -f  $(BINDIR)/p4v.py" >>uninstall.sh
	echo "rm -f  $(BINDIR)/p4v" >>uninstall.sh
	echo "rm -Rf $(INCLUDEDIR)/ODP" >>uninstall.sh
	echo "rm -Rf $(INCLUDEDIR)/p4vasp" >>uninstall.sh
	echo "rm -Rf $(LIBDIR)/libp4vasp.a " >>uninstall.sh
	echo "rm -Rf $(LIBDIR)/libODP.a" >>uninstall.sh
	echo "rm -Rf $(P4VASP_HOME)" >>uninstall.sh
uninstall_pythonpkg:
	rm -Rf $(SITE_PACKAGES)/p4vasp
	rm -Rf $(SITE_PACKAGES)/cp4vasp.py
	rm -Rf $(SITE_PACKAGES)/_cp4vasp.so
	
uninstall_gui:
	rm -Rf $(P4VASP_HOME)
	rm -f  $(BINDIR)/p4v.py
	rm -f  $(BINDIR)/p4v
	
uninstall_devel:
	rm -Rf $(INCLUDEDIR)/ODP
	rm -Rf $(INCLUDEDIR)/p4vasp
	rm -Rf $(LIBDIR)/libp4vasp.a 
	rm -Rf $(LIBDIR)/libODP.a
uninstall:uninstall_gui uninstall_devel uninstall_pythonpkg

=== odpdom/Makefile ===
CPP     = g++
LD      = g++
LIBS    =
LDFLAGS = -shared -L.
FLAGS   = -DPY_DOMEXC_MODULE="\"xml.dom.\""
          -DCHECK=5 \
          -DVERBOSE=5 \

#          -DNO_POS_CACHE
#	  -DNO_THROW

PYINCLUDE=`python -c "import sys;import os.path;print os.path.join(sys.prefix,\"include\",\"python\"+sys.version[:3])"`
CFLAGS  = -fpic -g $(FLAGS) -I$(PYINCLUDE)  -Iinclude

SWIGFLAGS = -python -c++ $(FLAGS)

OBJECTS = string.o \
          markText.o \
	  Exceptions.o \
	  Node.o \
	  NodeSequences.o \
	  Document.o \
	  CharacterNodes.o \
	  Element.o \
	  parse.o

#SWIG = ../../SWIG-1.3.16/swig -I../../SWIG-1.3.16/Lib -I../../SWIG-1.3.16/Lib/python 
SWIG = swig

all: _cODP.so

cODP_wrap.cpp: include/ODP/NodeSequences.h      \
               include/ODP/CharacterNodes.h     \
	       include/ODP/Element.h include/ODP/Node.h \
	       include/ODP/Document.h           \
	       include/ODP/parse.h              \
	       ODP.i
	$(SWIG) $(SWIGFLAGS) -o cODP_wrap.cpp ODP.i

_cODP.so : libODP.a cODP_wrap.o
	$(LD) $(LDFLAGS) -o _cODP.so cODP_wrap.o -lODP $(LIBS)

libODP.a: $(OBJECTS)
	ar -r libODP.a $(OBJECTS)
	ranlib libODP.a
%.o:%.cpp
	$(CPP) $(CFLAGS) -c $< -o $@

cleanwrap:
	-rm cODP_wrap.cpp
clean:
	-rm *.o
	
cleanall:clean
	-rm *.so
	-rm *.a

=== debian/changelog ===
p4vasp (0.3.29+dfsg-4) unstable; urgency=medium

  * Build with -fPIC instead of -fpic to fix FTBFS on
    s390x and sparc64, thanks Adrian Bunk (Closes: #865365)
  * Switch to debhelper 10
  * Drop -pie from DEB_BUILD_MAINT_OPTIONS, no longer needed
  * Use secure URIs for Vcs fields
  * Update d/copyright, https format URL and year
  * Install the icon in the correct location for AppStream
  * Bump Standards-Version to 4.0.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 21 Jun 2017 18:15:10 +0200

p4vasp (0.3.29+dfsg-3) unstable; urgency=medium

  * Fix a warning that Applet.glade was missing when
    selecting 'Electronic / View k-points' from the menu
  * Fix '__len__() should return an int' error when 
    showing 'Bands' or 'DOS and Bands'
  * Add missing dependency on libgnomeui-0
  * Update build dependency on FLTK to libfltk1.3-dev

 -- Graham Inggs <ginggs@debian.org>  Tue, 17 Nov 2015 14:26:26 +0200

p4vasp (0.3.29+dfsg-2) unstable; urgency=medium

  * Update my email address
  * Update d/copyright, fix dep5-copyright-license-name-not-unique
  * Rename d/patches* to d/patches/*.patch
  * Add dh-python package to Build-Depends
  * Sort applet list to make build reproducible,
    thanks Reiner Herrmann (Closes: #803140)

 -- Graham Inggs <ginggs@debian.org>  Fri, 30 Oct 2015 10:11:41 +0200

p4vasp (0.3.29+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #710249)

 -- Graham Inggs <graham@nerve.org.za>  Sun, 21 Sep 2014 13:52:55 +0200

=== debian/control ===
Source: p4vasp
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               libfltk1.3-dev | libfltk-dev,
               libglu1-mesa-dev,
               python-dev (>= 2.6.6-3~),
               swig
Standards-Version: 4.0.0
Homepage: http://p4vasp.at/
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/p4vasp.git
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/p4vasp.git

Package: p4vasp
Architecture: any
Depends: libgnomeui-0,
         python-glade2,
         python-gobject,
         python-numpy,
         python-opengl,
         python-pysqlite2,
         python-tk,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: grace, povray, xfig
Description: visualization suite for the Vienna Ab-initio Simulation Package (VASP)
 p4VASP is a visualization suite for the Vienna Ab-initio Simulation Package
 (VASP). It contains an extensible GUI framework, that can be used to view
 material structure, density of states, band-structure and more.
 .
 It provides a Python library, that greatly simplifies the process of
 manipulation of the VASP input and output data in Python scripts. P4vasp
 utilizes also many handy routines and objects e.g. for creating 2D graphs,
 data storage (xml,DOM) or simple matrix library.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/tmp
PYVERSION = $(shell pyversions -d)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2

override_dh_auto_build:
	make \
		P4VASP_HOME=/usr/share/p4vasp \
		PYTHON_HOME=/usr/lib/$(PYVERSION) \
		PYINCLUDE=/usr/include/$(PYVERSION)

override_dh_auto_install:
	make install \
		P4VASP_HOME=$(DESTDIR)/usr/share/p4vasp \
		PYTHON_HOME=/usr/lib/$(PYVERSION) \
		PYINCLUDE=/usr/include/$(PYVERSION) \
		SITE_PACKAGES=$(DESTDIR)/usr/lib/$(PYVERSION)/dist-packages \
		INCLUDEDIR=$(DESTDIR)/usr/include \
		LIBDIR=$(DESTDIR)/usr/lib \
		BINDIR=$(DESTDIR)/usr/bin
	# Permissions:
	find $(DESTDIR)/usr -type f -exec chmod 644 {} \;
	chmod 755 $(DESTDIR)/usr/share/p4vasp/data/database

override_dh_auto_clean:
	make cleanall
	rm -f src/cp4vasp.py
	rm -f src/cp4vasp_wrap.cpp
	rm -f uninstall.sh

get-orig-source:
	uscan --no-conf --download-current-version --repack --compression xz

## p4vasp 0.3.30%2Bdfsg

=== doc/Makefile ===
#HAPPYDOC=happydoc
EPYDOC=epydoc
DOXYGEN=doxygen

doc: api

api: python_api c_api

python_api:
	-mkdir api/python	
	$(EPYDOC) --html -o./api/python --url ../index.html --graph all --name p4vasp ../lib/p4vasp/*.py ../lib/p4vasp/applet/*.py ../lib/p4vasp/paint3d/*.py 

c_api:
	-mkdir api/c
	$(DOXYGEN)

clean_api:
	-rm -Rf api/c
	-rm -Rf api/python

cleanall:clean_api

=== debian/changelog ===
p4vasp (0.3.30+dfsg-3) unstable; urgency=medium

  * Update Vcs-* URIs for move to salsa.debian.org
  * Depend on python-gobject-2 instead of python-gobject
    transitional package (Closes: #890163)
  * Turn debhelper up to 11
  * Update debian/copyright
  * Fix duplicate word in patch description
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 21 Feb 2018 18:32:11 +0000

p4vasp (0.3.30+dfsg-2) unstable; urgency=medium

  * Do not export PYTHONPATH from /usr/bin/p4v (Closes: #883376)

 -- Graham Inggs <ginggs@debian.org>  Sun, 03 Dec 2017 12:30:19 +0000

p4vasp (0.3.30+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch, debian/rules for new upstream website
  * Drop fix-spelling-errors.patch, refresh remaining
  * Fix path for main window icon
  * Remove trailing whitespace from debian/changelog
  * Update debian/copyright, exclude lib/_cp4vasp.so
  * Bump Standards-Version to 4.1.2, no further changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 02 Dec 2017 14:23:11 +0000

## p4vasp 0.3.30+dfsg

=== Makefile ===
--- 
+++ 
@@ -64,9 +64,10 @@
 	echo "#!`which sh`" >$(P4V)
 	echo "export LD_PRELOAD=libstdc++.so.6" >>$(P4V)
 	echo "export PYTHONPATH=\$$PYTHONPATH:"$(SITE_PACKAGES) >>$(P4V)
-	echo "export APPMENU_DISPLAY_BOTH=1" >>$(P4V)
+	echo "#export APPMENU_DISPLAY_BOTH=1" >>$(P4V)
+	echo "export UBUNTU_MENUPROXY=0" >>$(P4V)
 	echo "export P4VASP_HOME="$(P4VASP_HOME) >> $(P4V)
-	echo "exec python "$(BINDIR)"/p4v.py \$$1 \$$2 \$$3" >>$(P4V)
+	echo "exec python "$(BINDIR)"/p4v.py \"\$$@\"" >>$(P4V)
 appletlist:
 	cd install && python makeappletlist.py
 bashrc:setenvironment

=== odpdom/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CPP     = g++
 LD      = g++
 LIBS    =
-LDFLAGS = -shared -L.
+LDFLAGS += -shared -L.
 FLAGS   = -DPY_DOMEXC_MODULE="\"xml.dom.\""
           -DCHECK=5 \
           -DVERBOSE=5 \
@@ -10,7 +10,7 @@
 #	  -DNO_THROW
 
 PYINCLUDE=`python -c "import sys;import os.path;print os.path.join(sys.prefix,\"include\",\"python\"+sys.version[:3])"`
-CFLAGS  = -fpic -g $(FLAGS) -I$(PYINCLUDE)  -Iinclude
+CFLAGS  += -fpic -g $(FLAGS) -I$(PYINCLUDE)  -Iinclude
 
 SWIGFLAGS = -python -c++ $(FLAGS)

=== src/Makefile ===
-include Configuration.mk

CPP=g++
LD=g++
#CPP=icc
#LD=icc

FLAGS= -Wall -DPY_DOMEXC_MODULE="\"p4vasp.ODPdom.\"" \
       -DCHECK=1 \
       -DVERBOSE=0 \
       -DNO_GL_LISTS_S \
       -DNO_THREADS \

#       -DNO_THROW \
#       -DSIMPLE_EXCEPTION \
#       -DDRAWBUFFERHACK \
#       -DNO_GL_LISTS \
#       -DNO_GL_LISTS_S 
#       -DNO_THREADS \
       
SWIGFLAGS= -python -c++  $(FLAGS) -I../odpdom/include -Iinclude
      
SWIG = swig

OBJECTS= Exceptions.o \
	 AtomtypesRecord.o \
	 AtomInfo.o \
	 vecutils3d.o \
	 vecutils.o \
	 utils.o \
	 domutils.o \
	 FArray.o \
	 Structure.o \
	 Chgcar.o \
	 ChgcarSmear.o \
	 Process.o \
	 VisFLWindow.o \
	 VisMain.o \
	 VisWindow.o \
	 VisEvent.o \
	 VisDrawer.o \
	 VisNavDrawer.o \
	 VisStructureDrawer.o \
	 VisStructureArrowsDrawer.o \
	 VisIsosurfaceDrawer.o \
	 ClassInterface.o \
	 VisSlideDrawer.o \
	 VisPrimitiveDrawer.o \
	 VisBackEvent.o 



PYLIBOBJECTS = $(OBJECTS) cp4vasp_wrap.o
	 

all: _cp4vasp.so

%.o: %.cpp
	$(CPP) $(CFLAGS) -c $< -o $@
%.o: %.c 
	$(CPP) $(CFLAGS) -c $< -o $@
cp4vasp_wrap.cpp: cp4vasp.i
	$(SWIG) $(SWIGFLAGS) -o cp4vasp_wrap.cpp cp4vasp.i 
	
#_cp4vasp.so: $(PYLIBOBJECTS)
#	$(LD) $(LDFLAGS) -o _cp4vasp.so $(PYLIBOBJECTS) $(LIBS) 
_cp4vasp.so: libp4vasp.a cp4vasp_wrap.o
	$(LD) $(LDFLAGS) -o _cp4vasp.so cp4vasp_wrap.o -lp4vasp $(LIBS) 

testprog1: testprog1.o libp4vasp.a
	$(LD) -o testprog1 testprog1.o -lp4vasp.a $(LIBS)
testprog2: testprog2.o libp4vasp.a
	$(LD) -o testprog2 testprog2.o -lp4vasp $(LIBS)
viewer1: viewer1.o libp4vasp.a
	$(LD) -o viewer1 viewer1.o -L. -lp4vasp $(LIBS)
viewer2: viewer2.o libp4vasp.a
	$(LD) -o viewer2 viewer2.o -L. -lp4vasp $(LIBS) -ldl
viewer3: viewer3.o libp4vasp.a
	$(LD) -o viewer3 viewer3.o -L. -lp4vasp $(LIBS)
#testdombug: testdombug.o libp4vasp.a
#	$(LD) -o testdombug testdombug.o -L. -lp4vasp $(LIBS)
#viewer3: viewer3.o $(OBJECTS)
#	$(LD) -static -o viewer3 viewer3.o $(OBJECTS) $(LIBS) -ldl

libp4vasp.a: $(OBJECTS)
	ar -r libp4vasp.a $(OBJECTS)
	ranlib libp4vasp.a
doc:
	doxygen Doxyfile

cleanwrap:
	-rm *_wrap.cpp
	-rm *.py
	-rm *.pyc

clean:
	-rm *.o
cleanall: clean
	-rm *.so *.a
	-rm testprog*
	-rm viewer1
	-rm viewer2
	-rm *.tmp
	-rm *.pyc
	-rm *.pyo
	-rm *~

=== debian/changelog ===
p4vasp (0.3.30+dfsg-5) unstable; urgency=medium

  * Fix reproducible build on merged-usr vs non-merged systems,
    thanks Andreas Henriksson (Closes: #915844)
  * Bump Standards-Version to 4.3.0, no changes
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Fri, 25 Jan 2019 10:14:23 +0000

p4vasp (0.3.30+dfsg-4) unstable; urgency=medium

  * Drop dependency on libgnomeui-0, thanks Jeremy Bicha! (Closes: #911204)
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Fri, 16 Nov 2018 09:32:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,21 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libfltk1.3-dev | libfltk-dev,
                libglu1-mesa-dev,
                python-dev (>= 2.6.6-3~),
                swig
-Standards-Version: 4.0.0
+Standards-Version: 4.3.0
 Homepage: http://p4vasp.at/
-Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/p4vasp.git
-Vcs-Git: https://anonscm.debian.org/git/debichem/packages/p4vasp.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/p4vasp
+Vcs-Git: https://salsa.debian.org/debichem-team/p4vasp.git
 
 Package: p4vasp
 Architecture: any
-Depends: libgnomeui-0,
-         python-glade2,
-         python-gobject,
+Depends: python-glade2,
+         python-gobject-2,
          python-numpy,
          python-opengl,
          python-pysqlite2,
